%define name		fillets-ng
%define version		1.0.1
%define release		%mkrel 4

%define dataversion	1.0.0

Summary:		Fish Fillets NG
Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPLv2+
Group:			Games/Puzzles
URL:			http://fillets.sourceforge.net/
Source0:		http://downloads.sourceforge.net/fillets/%{name}-%{version}.tar.gz
Source3:		%{name}-48.png
Source4:		%{name}-32.png
Source5:		%{name}-16.png
Requires:		%{name}-data = %{dataversion}
BuildRequires:		lua5.1-devel
BuildRequires:		SDL-devel
BuildRequires:		SDL_mixer-devel
BuildRequires:		SDL_image-devel
BuildRequires:		SDL_ttf-devel
BuildRequires:		fribidi-devel

%description
Fish Fillets NG is strictly a puzzle game. The goal in every of the seventy
levels is always the same: find a safe way out. The fish utter witty remarks
about their surroundings, the various inhabitants of their underwater realm
quarrel among themselves or comment on the efforts of your fish. The whole
game is accompanied by quiet, comforting music.

%prep
%setup -q

%build
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}/%{name}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Menu entry
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Fish Fillets NG
Comment=Fish Fillets NG puzzle game
Exec= %_gamesbindir/fillets
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;LogicGame;
EOF

# Icon installation
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_gamesbindir}/fillets
%{_mandir}/man6/*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop





%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.0.1-4.mga3
+ Revision: 350336
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 pterjan <pterjan> 1.0.1-3.mga3
+ Revision: 334414
- Force Lua 5.1

* Wed Sep 28 2011 supp <supp> 1.0.1-2.mga2
+ Revision: 150006
- bump release because of mga1 update

* Sat Sep 24 2011 zezinho <zezinho> 1.0.1-1.mga2
+ Revision: 147373
- new 1.0.1 version

  + supp <supp>
    - remove soundwrapper dependency as it is obsolete (see mga#1070)

* Sat Apr 30 2011 alien <alien> 1.0.0-4.mga1
+ Revision: 93874
- Fix #1070: Don't use soundwrapper

* Mon Apr 25 2011 wally <wally> 1.0.0-3.mga1
+ Revision: 90329
- fix desktop file (mga#954)

* Sat Mar 05 2011 supp <supp> 1.0.0-2.mga1
+ Revision: 64861
- SPEC cleanup

* Sat Jan 15 2011 supp <supp> 1.0.0-1.mga1
+ Revision: 18812
- imported package fillets-ng

